View Issue Details

IDProjectCategoryView StatusLast Update
0000653SymmetricDSBugpublic2021-08-13 17:44
Reporterchenson Assigned Torudiejd  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.12.12 
Target Version3.12.12Fixed in Version3.12.12 
Summary0000653: dbexport should export xml in utf-8
Descriptionhttp://sourceforge.net/projects/symmetricds/forums/forum/739236/topic/5339705
Tagsdbimport/dbexport

Activities

rudiejd

2021-08-12 18:28

developer   ~0001986

DbExport does (or should) export to UTF-8 now (DbExport:480 references IoConstants.ENCODING, which is UTF8), but I noticed that we don't specify "encoding="utf-8" in the XML output, which could potentially confuse a parser that doesn't fall back to utf-8 when no encoding field is present

Issue History

Date Modified Username Field Change
2012-06-19 00:38 chenson New Issue
2012-06-21 17:00 chenson Assigned To => abrougher
2012-06-21 17:00 chenson Status new => assigned
2014-02-04 16:25 elong Assigned To abrougher =>
2014-02-04 16:25 elong Status assigned => new
2014-02-04 16:25 elong Target Version => 3.6.0
2014-03-03 14:46 chenson Target Version 3.6.0 =>
2019-04-12 17:13 admin Tag Attached: dbimport/dbexport
2021-08-12 18:28 rudiejd Note Added: 0001986
2021-08-13 16:30 rudiejd Assigned To => rudiejd
2021-08-13 16:30 rudiejd Status new => assigned
2021-08-13 17:44 elong Status assigned => resolved
2021-08-13 17:44 elong Resolution open => fixed
2021-08-13 17:44 elong Product Version => 3.12.12
2021-08-13 17:44 elong Fixed in Version => 3.12.12
2021-08-13 17:44 elong Target Version => 3.12.12